Subject: Re: bug#33819: automake-1.16.1 test failures on NetBSD

From: Thomas Klausner <[email-masked]>
Date: Thu, 24 Feb 2022 11:23:47 +0100

Hi Mike!

Thanks for looking at this.

I've re-run the tests for 1.16.5 on NetBSD 9.99.93/amd64 with perl 5.34.0 and now get

============================================================================
Testsuite summary for GNU Automake 1.16.5
============================================================================
# TOTAL: 2980
# PASS:  2815
# SKIP:  103
# XFAIL: 39
# FAIL:  23
# XPASS: 0
# ERROR: 0

with a quite different set of errors.
I'll attach it.
 Thomas

On Thu, Feb 24, 2022 at 01:34:50AM -0500, Mike Frysinger wrote:
> On 21 Dec 2018 10:46, Thomas Klausner wrote:
> > When running the self tests on NetBSD (8.99.27/amd64) with perl
> > 5.28.1, I see 26 test failures.
> > 
> > The log is attached.
> 
> from the log:
> > FAIL: t/instspc
> 
> this seems to be due to install-sh being used over normal mkdir -p.  but
> that should be fine by itself ... it seems you have a weird /bin/sh ?  it
> is causing errors that shouldn't happen.  the output makes it look like
> things are underquoted, but i checked the script and ran it locally, and
> it looks fine to me.
> 
> > FAIL: t/instspc.tap 17 - percent in builddir
> > FAIL: t/instspc.tap 18 - percent in destdir
> > FAIL: t/instspc.tap 32 - star in destdir
> > FAIL: t/instspc.tap 79 - quadrigraph4 in builddir
> > FAIL: t/instspc.tap 80 - quadrigraph4 in destdir
> > FAIL: t/instspc.tap 81 - a_b in builddir
> > FAIL: t/instspc.tap 82 - a_b in destdir
> > FAIL: t/instspc.tap 83 - a__b in builddir
> > FAIL: t/instspc.tap 84 - a__b in destdir
> > FAIL: t/instspc.tap 92 - miscglob1 in destdir
> 
> these are all some variation of:
> 
> > + DESTDIR=/scratch/devel/automake/work/automake-1.16.1/t/instspc.dir/dest-percent file='./%' make test-inst
> > ../install-sh -c -d '/scratch/devel/automake/work/automake-1.16.1/t/instspc.dir/dest-percent/%-prefix/foo'
> > mkdir: /scratch/devel/automake/work/automake-1.16.1/t/instspc.dir/dest-percent/%-prefix/foo: No such file or directory
> > *** Error code 1
> 
> > FAIL: t/instspc.tap 59 - space in builddir
> > FAIL: t/instspc.tap 60 - space in destdir
> > FAIL: t/instspc.tap 61 - tab in builddir
> > FAIL: t/instspc.tap 62 - tab in destdir
> 
> these are all some variation of:
> 
> > + DESTDIR=/scratch/devel/automake/work/automake-1.16.1/t/instspc.dir/dest-space file='./ ' make test-inst
> > ../install-sh -c -d '/scratch/devel/automake/work/automake-1.16.1/t/instspc.dir/dest-space/ -prefix/foo'
> > mkdir: unknown option -- r
> > usage: mkdir [-p] [-m mode] dirname ...
> > chmod: unknown option -- p
> > Usage: chmod [-R [-H | -L | -P]] [-fh] mode file ...
> > chmod [-R [-H | -L | -P]] [-fh] --reference=rfile file ...
> > mkdir: unknown option -- r
> > usage: mkdir [-p] [-m mode] dirname ...
> > *** Error code 1
> 
> > FAIL: t/install-sh-unittests
> > FAIL: t/instfail
> > FAIL: t/self-check-dir
> > FAIL: t/self-check-dir.tap 1 - testdir has the expected path [unset am_create_testdir]
> > FAIL: t/self-check-dir.tap 2 - fully pre-populated testdir [unset am_create_testdir]
> > FAIL: t/self-check-dir.tap 3 - testdir has the expected path [am_create_testdir=empty]
> > FAIL: t/self-check-dir.tap 5 - do not create nor chdir in testdir [am_create_testdir=no]
> > FAIL: t/install-sh-unittests-w
> 
> more install-sh weirdness
> 
> > FAIL: t/dist-with-unreadable-makefile-fails
> > FAIL: t/instfail-info
> > FAIL: t/instmany
> > FAIL: t/instmany-mans
> > FAIL: t/test-trs-recover2
> 
> not sure
> -mike